package it.inaf.oats.ia2.tapschemamanager.businesslayer;

import it.inaf.oats.ia2.tapschemamanager.datalayer.Credentials;
import javax.xml.bind.annotation.XmlElement;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public class SeparateCredentials {

    private Credentials sourceCredentials;
    private Credentials tapSchemaCredentials;

    public SeparateCredentials() {
    }

    public SeparateCredentials(Credentials sourceCredentials, Credentials tapSchemaCredentials) {
        this.sourceCredentials = sourceCredentials;
        this.tapSchemaCredentials = tapSchemaCredentials;
    }

    @XmlElement(name = "source-credentials")
    public Credentials getSourceCredentials() {
        return sourceCredentials;
    }

    public void setSourceCredentials(Credentials sourceCredentials) {
        this.sourceCredentials = sourceCredentials;
    }

    @XmlElement(name = "tap-schema-credentials")
    public Credentials getTapSchemaCredentials() {
        return tapSchemaCredentials;
    }

    public void setTapSchemaCredentials(Credentials tapSchemaCredentials) {
        this.tapSchemaCredentials = tapSchemaCredentials;
    }

}
