package it.inaf.oats.ia2.tapschemamanager.webapp;

import javax.faces.context.PartialResponseWriter;
import javax.faces.context.PartialViewContext;
import javax.faces.context.PartialViewContextWrapper;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public class CustomPartialViewContextWrapper extends PartialViewContextWrapper {

    private final PartialViewContext wrapped;
    private final PartialResponseWriter writer;

    public CustomPartialViewContextWrapper(PartialViewContext wrapped) {
        this.wrapped = wrapped;
        this.writer = new CustomPartialResponseWriter(wrapped.getPartialResponseWriter());
    }

    @Override
    public PartialResponseWriter getPartialResponseWriter() {
        return writer;
    }
    
    @Override
    public PartialViewContext getWrapped() {
        return wrapped;
    }
}
